Annoying problem

After updating the arduino IDE some problems came too. I can’t update every schetch - there is a warning message at some uploads and the chip doesent take the code.This text comes:
“Warning: platform.txt from core ‘Arduino SAMD (32-bits ARM Cortex-M0+) Boards’ contains deprecated recipe.ar.pattern=”{compiler.path}{compiler.ar.cmd}" {compiler.ar.flags} {compiler.ar.extra_flags} “{build.path}/{archive_file}” “{object_file}”, automatically converted to recipe.ar.pattern="{compiler.path}{compiler.ar.cmd}" {compiler.ar.flags} {compiler.ar.extra_flags} “{archive_file_path}” “{object_file}”. Consider upgrading this core.
Warning: platform.txt from core ‘Arduino SAMD (32-bits ARM Cortex-M0+) Boards’ contains deprecated recipe.ar.pattern="{compiler.path}{compiler.ar.cmd}" {compiler.ar.flags} {compiler.ar.extra_flags} “{build.path}/{archive_file}” “{object_file}”, automatically converted to recipe.ar.pattern="{compiler.path}{compiler.ar.cmd}" {compiler.ar.flags} {compiler.ar.extra_flags} “{archive_file_path}” “{object_file}”. Consider upgrading this core.
"

I am sure ,that other people got the problem too so i will be happy if someone tells me what to do, what to update so there is no problem. Thank you very much.

There is quite a few major bugs from 1.6.6 and later versions. And Arduino won't pull them from the downloads. Go back to 1.6.5.

I will tell that those warnings will not interfere with normal operations and uploading, Arduino changed the way libraries are categorized and they want the library authors to change all the libraries. Which won't happen.

That's a warning, not an error. It does not interfere with compilation and may be safely disregarded.

It's the core that it's complaining about. Most cores right now do NOT fix that, because "fixing" it breaks compatibility with 1.6.5r5 and earlier, and most people are still using 1.6.5, because 1.6.6 and 1.6.7 are still buggy basket cases that should not have been released in their current state.

Yeah but i can't upload some scetsches because of this

Go back to 1.6.5.